Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.jaas
Class JaasPasswordCallbackHandler

    java.lang.Object
      org.acegisecurity.providers.jaas.JaasPasswordCallbackHandler

All Implemented Interfaces:
  JaasAuthenticationCallbackHandler

    public class JaasPasswordCallbackHandler

extends Object
implements JaasAuthenticationCallbackHandler

The most basic Callbacks to be handled when using a LoginContext from JAAS, are the NameCallback and PasswordCallback. The acegi security framework provides the JaasPasswordCallbackHandler specifically tailored to handling the PasswordCallback.

Version:
  $Id: JaasPasswordCallbackHandler.java,v 1.4 2005/11/17 00:55:52 benalex Exp $
Author:
  Ray Krueger
See Also:
  Callback, PasswordCallback

Constructor Summary
`JaasPasswordCallbackHandler()`

Method Summary
`void` | `handle(Callback callback, Authentication auth)` If the callback passed to the 'handle' method is an instance of PasswordCallback, the JaasPasswordCallbackHandler will call, callback.setPassword(authentication.getCredentials().toString()).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaasPasswordCallbackHandler

    public JaasPasswordCallbackHandler()

Method Detail

### handle

    public void handle(Callback callback,
                       Authentication auth)
                throws IOException,
                       UnsupportedCallbackException

  If the callback passed to the 'handle' method is an instance of PasswordCallback, the JaasPasswordCallbackHandler will call, callback.setPassword(authentication.getCredentials().toString()).

  Specified by:
    `handle` in interface `JaasAuthenticationCallbackHandler`
  Parameters:
    `callback` -
    `auth` -
  Throws:
    `IOException`
    `UnsupportedCallbackException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.